Bug 924197 - RFE: Summary of changes dialog: more human readable output?
RFE: Summary of changes dialog: more human readable output?
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-03-21 06:58 EDT by Martin Banas
Modified: 2015-02-17 09:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:53:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
current look of the dialog (99.45 KB, image/png)
2013-03-21 06:58 EDT, Martin Banas
no flags Details

  None (edit)
Description Martin Banas 2013-03-21 06:58:55 EDT
Created attachment 713759 [details]
current look of the dialog

Description of problem:
Could it be possible to create a more human readable output on Summary of changes dialog? I really like the idea behind it, but it's too long to read even for simple partitioning, and not all the informations has to be displayed..

Version-Release number of selected component (if applicable):
anaconda-19.12-1
anaconda-19.12-1.boot.iso

How reproducible:
always


Steps to Reproduce:
1. Go to partitioning
2. Select manual partitioning, and create basic partitioning layout
3. Click on Done and go through the "Summary of changes" dialog
  
Actual results:
It's quite too long, and not all information are necessary to display.

Expected results:
Would it be possible to do more gparted look?
http://a.fsdn.com/con/app/proj/gparted/screenshots/319089.jpg

It could be something like:

Remove /boot partition
|_Destroy format ext4
|
|_Destroy device /dev/sda1

Remove LVM_PV on /dev/sda2
Remove LVM_PV on /dev/sdb2
|_Remove LVM VG
  |
  |_Remove LV_ROOT
  | |_Destroy format ext4
  |
  |_Remove LV_HOME
    |_Destroy format ext4

Additional info:
Let's discuss whether this is even possible.
Comment 1 Chris Lumens 2013-03-21 12:19:02 EDT
We can change the format a little bit, but I do not want to change the verbosity at all.  We have received complaints that people are unsure what anaconda is going to do storage-wise.  This dialog shows exactly what is going to happen - every single step anaconda's going to take.  We are going to remove some existing stuff, we are going to make some new stuff.

We don't really have the information to group it together into "Remove /boot partition", etc.  This display is a list of all the storage actions.  They don't get grouped together into some more general format, and I don't believe it's worth the time to spend working on that when we could be working on other things off our (very large) list instead.

Finally, I do not like comparisons to gparted.  This isn't gparted, this is anaconda.  I don't think gparted looks very good at all.
Comment 2 Chris Lumens 2013-03-21 13:26:29 EDT
Basically, what I'm saying is:

I'm open to changes we can make here.  However,

(1) I think this is one place where we absolutely need to err on the side of too verbose.  People want to know exactly what anaconda's going to do, so we should tell them.

(2) I don't think it's worth the effort to do anything too fancy here, given (1) and how much other stuff we've got that needs to be done.
Comment 3 Fedora End Of Life 2015-01-09 12:47:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 09:53:11 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.